Subject: Re: bug#40695: [PATCH] ; Fix some typos and doc issues

From: Štěpán Němec <[email-masked]>
Date: Sat, 18 Apr 2020 18:04:22 +0200

On Sat, 18 Apr 2020 18:38:52 +0300
Eli Zaretskii wrote:

>> From: Štěpán Němec <[email-masked]>
>> Cc: [email-masked]
>> Date: Sat, 18 Apr 2020 17:31:18 +0200
>> 
>> > Either the split already occurs or is close (i.e. the offending text
>> > is close to the edge of a line.  Otherwise we will have to put all of
>> > them in @w{..}, and that seems too much.
>> 
>> I rechecked the occurences and tried to remove some of the added @w{}s,
>> and notably failed with ispell-kill-ispell and ispell-change-dictionary,
>> both of which are as far from the edges as one can get (the case of
>> ispell-message was already mentioned in the bug#6411 message)
>
> Sorry, I don't understand what failed here.

Even though all three of them are in the middle of the line (in
Texinfo), they end up split in Info, unless wrapped in @w{}.

> Maybe I wasn't clear enough: by "close to the edge" I meant in the
> produced Info file, not in Texinfo.  If that's not the issue, please
> point out what am I missing.

Yes, that's the issue: the Texinfo source doesn't seem to be useful in
determining which occurences are safe from splitting (which seemed to be
what you were saying in

https://lists.gnu.org/archive/html/bug-gnu-emacs/2020-04/msg00245.html
[email-masked]
)

The only way to know is checking the Info output, barred maybe some
exceptional cases like single-line paragraphs.

-- 
Štěpán